<template>
  <div class="detail-transaction-wrapper">
    <div id="detailTransaction">
      <div class="modal-header">
        <p class="title">{{ $t('deposit.transaction_detail.detail') }} - <span>{{ transaction.currency.toUpperCase() }}</span></p>
        <button type="button" @click="closeModal()" class="btn-close"><span aria-hidden="true">×</span></button>
      </div>
      <div class="modal-body">
        <div class="content">
          <div class="top-content">
            <div class="row_line">
              <span class="title">{{ $t('deposit.transaction_detail.amount') }}</span>
              <span class="value">{{ transaction.amount | formatCurrencyAmount(transaction.currency, '0') }}</span>
            </div>
            <div class="row_line">
              <span class="title">{{ $t('deposit.transaction_detail.status') }}</span>
              <span class="value">{{ transaction.status | upperFirst }}</span>
            </div>
            <div class="row_line">
              <span class="title">{{ $t('deposit.transaction_detail.confirmations') }}</span>
              <span class="value">{{ `${transaction.confirmations} / ${getConfirmation()}` }}</span>
            </div>
          </div>
          <div class="bottom-content">
            <div class="row_line">
              <div class="title">{{ $t('deposit.transaction_detail.address') }}</div>
              <div class="value">{{ transaction.to_address}}</div>
            </div>
            <div class="row_line">
              <div class="title">{{ $t('deposit.transaction_detail.txid') }}</div>
              <div class="value"><a class="link" target="_blank" :href="transaction | txExplore">{{ transaction.txid }}</a></div>
            </div>
            <div class="row_line">
              <div class="title">{{ $t('deposit.transaction_detail.date') }}</div>
              <div class="value">{{ formatDate() }}</div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</template>
<script>
import { mapState } from 'vuex';
import moment from 'moment';

export default {
  props: {
    modalData: {
      type: Object,
      default: () => {},
    }
  },
  computed: {
    ...mapState([
      'systemSettings',
    ]),
  },
  methods: {
    toggle () {
      this.isShowTooltip = !this.isShowTooltip;
    },
    getConfirmation () {
      return this.systemSettings[`confirmation_${this.transaction.currency}`];
    },
    formatDate () {
      return moment(this.transaction.updated_at).format('YYYY-MM-DD HH:mm:ss');
    },
    closeModal () {
      this.$broadcast('close-modal');
    },
  },
  data () {
    return {
      isShowTooltip: false,
      transaction: this.modalData.transaction,
    };
  },
};
</script>
<style scoped lang="scss">
  @import '../../../../sass/mobile/typoVariables';
  * {
    font-family: $font-family-home;
  }
  .detail-transaction-wrapper {
    width: 100%;
    height: auto;
    padding: 5rem;
    @media screen and (min-width: 375) {
      padding: 10rem;
    }
  }
  #detailTransaction {
    width: 100%;
    max-width: 420rem;
    height: auto;
    border-radius: 10px;
    background: $bg_primary;
    box-shadow: 0 2px 40px 0 rgba(0, 0, 0, 0.18);
    margin: auto;
    .modal-header {
      padding: 0;
      border: none;
      position: relative;
      .title {
        font-size: 16rem;
        font-weight: bold;
        color: #1c1c1c;
        text-align: center;
        line-height: 3.13;
        margin: 31rem auto 5rem;
      }
      .btn-close {
        width: 20rem;
        height: 20rem;
        background-color: #ffffff;
        border: 1px solid #fff;
        border-radius: 50%;
        position: absolute;
        outline: none;
        top: 10rem;
        right: 10px;
        span {
          cursor: pointer;
          color: #989898;
          font-size: 11rem;
        }
      }
    }
    .modal-body {
      margin: 0;
      padding: 0 20rem;
      .top-content {
        width: 100%;
        font-size: 14rem;
        padding-bottom: 10rem;
        border-bottom: 1px solid #fa7300;
        .row_line {
          display: inline-block;
          width: 100%;
          .title {
            color: #989898;
            float: left;
          }
          .value {
            @extned .bold-14;
            color: $black;
            float: right;
          }
        }
      }
      .bottom-content {
        margin-top: 10rem;
        padding-bottom: 10rem;
        .row_line {
          display: inline-block;
          width: 100%;
          font-size: 14rem;
          margin: 5rem 0;
          .title {
            color: #989898;
            float: left;
            width: 20%;
          }
          .value {
            width: 80%;
            color: $black;
            float: right;
            text-align: right;
            word-break: break-word;
            a {
              word-break: break-word;
            }
          }
        }
      }
      .btn-submit {
        margin-top: 30rem;
        width: 90rem;
        height: 32rem;
        border-radius: 30rem;
        border: solid 1px #fa7300;
        background: #fff;
        font-size: 12rem;
        font-weight: bold;
        font-style: normal;
        font-stretch: normal;
        line-height: normal;
        letter-spacing: 0.5px;
        color: #fa7300;
        outline: none;
        cursor: pointer;
      }
    }
  }
</style>
